Skip to main content
`Ctrl`+`K`

# MatLMVMSetJ0Diag

Allows the user to define a vector V such that J0 = diag(V).

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSetJ0Diag(Mat B, Vec V)

## Input Parameters

- B - A `MATLMVM` matrix

- V - Vector that defines the diagonal of the initial Jacobian

## See Also

KSP: Linear System Solvers, LMVM Matrices, `MATLMVM`, `MatLMVMSetScale()`, `MatLMVMSetJ0()`

## Level

advanced

## Location

src/ksp/ksp/utils/lmvm/lmvmutils.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages